#!/bin/sh
# suspend.sh 28sep09 by shinobar
# 12feb10 pass poweroff

# do not suspend at shutdown proccess
PS=$(ps)
echo "$PS"| grep -q "sh[ ].*poweroff" && exit

# do not suspend if usb media mounted
USBS=$(probedisk2|grep '|usb' | cut -d'|' -f1 )
for USB in $USBS
do
	mount | grep -q "^$USB" && exit
done

# process before suspend
# sync for non-usb drives
sync
rmmod ehci_hcd

#suspend
echo -n mem > /sys/power/state

# process at recovery from suspend
modprobe ehci_hcd
#/etc/rc.d/rc.network restart